import BoardContainer from "./controllers/BoardContainer.jsx";
import Board from "./controllers/Board.jsx";

import { StyleSheetManager } from "styled-components";
import isPropValid from "@emotion/is-prop-valid";

export { BoardContainer };

// Enhanced default export using arrow function for simplicity
const TrelloBoard = ({ ...otherProps }) => {
  return (
    <StyleSheetManager shouldForwardProp={shouldForwardProp}>
      <Board {...otherProps} />
    </StyleSheetManager>
  );
};

const shouldForwardProp = (propName, target) => {
  if (typeof target === "string") {
    return isPropValid(propName);
  }
  return true;
};

export default TrelloBoard;
